{% extends 'base.html' %}

{% block content %}
    <main>
        <div class="project-list">
            <h1>My Projects</h1>
            <p><a href="{% url 'create_project' %}">Create a new project</a></p>
            {% if project_list|length == 0 %}
                <p>You are not assigned to any projects</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in project_list %}
                            {% if not project.is_completed %}
                            <tr>
                                <td><a href="{% url 'show_project' project.pk %}">{{ project.name }}</a></td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>
                            {% endif %}
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div><br>

        <div class="project-list">
            <h1>Completed projects</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in project_list %}
                        {% if project.is_completed %}
                        <tr>
                            <th>{{ project.name }}</th>
                        </tr>
                        {% endif %}
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %}